Page MenuHomePhabricator

Remove deprecated html elements like <font> from SF
Closed, ResolvedPublic

Description

I notice the usage of <font> in several places in MediaWiki. These elements are not supported in HTML5, they should be updated to new HTML styles.

Reference: http://www.w3.org/TR/html5/obsolete.html#non-conforming-features

Event Timeline

TheDJ created this task.Dec 18 2015, 8:47 PM
TheDJ raised the priority of this task from to Needs Triage.
TheDJ updated the task description. (Show Details)
TheDJ added a subscriber: TheDJ.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 18 2015, 8:47 PM
D3r1ck01 set Security to None.

Change 261764 had a related patch set uploaded (by D3r1ck01):
Removed deprecated <font> tags from SF

https://gerrit.wikimedia.org/r/261764

Change 262338 had a related patch set uploaded (by D3r1ck01):
Removed deprecated <font> tags from SF

https://gerrit.wikimedia.org/r/262338

Change 262338 abandoned by D3r1ck01:
Removed deprecated <font> tags from SF

Reason:
Need to instead use the previous patch

https://gerrit.wikimedia.org/r/262338

Change 261764 merged by Yaron Koren:
Removed deprecated <font> tags from SF

https://gerrit.wikimedia.org/r/261764

D3r1ck01 moved this task from Backlog to Done on the good first bug board.Jan 15 2016, 1:37 PM
Paladox edited subscribers, added: Paladox; removed: gerritbot.

Change 266048 had a related patch set uploaded (by IoannisKydonis):
Remove deprecated HTML elements from SemanticForms

https://gerrit.wikimedia.org/r/266048

Nemo_bis triaged this task as Normal priority.Jan 24 2016, 2:09 PM
Nemo_bis updated the task description. (Show Details)

Change 266048 merged by jenkins-bot:
Remove deprecated HTML elements from SemanticForms

https://gerrit.wikimedia.org/r/266048

Is there more?

No, i think it's completed.

Nemo_bis closed this task as Resolved.Jan 25 2016, 7:03 AM